<template>
  <v-menu
    v-model="dateMenu"
    :close-on-content-click="false"
    transition="scale-transition"
    offset-y
    min-width="290px"
    :nudge-right="40"
  >
    <template v-slot:activator="{ on }">
      <v-text-field
        v-model="date"
        outlined
        placeholder="Select date"
        prepend-inner-icon="mdi-calendar-range"
        readonly
        dense
        hide-details
        v-on="on"
      />
    </template>
    <v-date-picker
      v-model="date"
      :min="moment().toISOString()"
      :show-current="moment().toISOString()"
    />
  </v-menu>
</template>

<script>
import EventBus from '@/event-bus'

export default {
  props: {
    date: null
  },
  data: () => ({
    dateMenu: false
  }),
  computed: {},
  watch: {
    date: {
      handler(date) {
        if (date) {
          EventBus.$emit('setDate', date)
        }
      }
    }
  }
}
</script>

<style lang="scss" scoped></style>
